Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona OpenSUSE > Instalación y Actualizaciones


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

Actualizando tumbleweed con zypper up
  #1  
Antiguo 29-jul-2013, 21:55
Avatar de jiu
jiu jiu está desconectado
Habitual
 
Fecha de Ingreso: 03-abril-2013
Versión: 13.1 KDE
Mensajes: 176
Agradecimientos: 27
Agradecido 35 Veces en 30 Mensajes
Poder de Credibilidad: 5
jiu está en el buen camino
Actualizando tumbleweed con zypper up

Hola, ayer cambié los repos de un portatil con 12.3 KDE, a tumbleweed, hice el zypper ref, zypper up, zypper dup.

Ahora cuando hago un zypper up, me dice lo siguiente:

linux-18vq:~ # zypper up
Loading repository data...
Reading installed packages...

The following package updates will NOT be installed:
amarok amarok-lang cantarell-fonts cyreal-alice-fonts cyreal-junge-fonts cyreal-lobster-cyrillic-fonts
cyreal-lora-fonts cyreal-marko-horobchyk-fonts cyreal-marmelad-fonts cyreal-wire-fonts dejavu-fonts efont-serif-fonts
efont-unicode-bitmap-fonts free-ttf-fonts gcompris gcompris-voices-en gcompris-voices-es gnu-free-fonts
gnu-unifont-bitmap-fonts google-cabin-fonts google-cousine-fonts google-droid-fonts google-exo-fonts
google-nobile-fonts gstreamer gstreamer-0_10 gstreamer-0_10-plugin-gnomevfs gstreamer-0_10-plugins-bad
gstreamer-0_10-plugins-bad-lang gstreamer-0_10-plugins-base gstreamer-0_10-plugins-good gstreamer-0_10-plugins-ugly
gstreamer-lang gstreamer-plugins-base intlfonts intlfonts-euro-bitmap-fonts libavutil51 libbluray1 libdca0
liberation-fonts libgio-2_0-0 libgstapp-0_10-0 libgstapp-1_0-0 libgstaudio-1_0-0 libgstbasecamerabinsrc-0_10-23
libgstbasevideo-0_10-23 libgstcodecparsers-0_10-23 libgstinterfaces-0_10-0 libgstpbutils-1_0-0
libgstphotography-0_10-23 libgstreamer-0_10-0 libgstreamer-1_0-0 libgstriff-1_0-0 libgstsignalprocessor-0_10-23
libgsttag-1_0-0 libgstvdp-0_10-23 libgstvideo-1_0-0 libmad0 libmjpegutils-2_0-0 libmpeg2-0 libopencv2_4 libopus0
libquicktime0 libsox2 libstrigi0 libtag1 libtag_c0 libvlc5 libvlccore5 libxine2 libxine2-pulse mjpegtools sox strigi
taglib thessalonica-oldstandard-otf-fonts thessalonica-oldstandard-ttf-fonts thessalonica-theano-otf-fonts
thessalonica-theano-ttf-fonts vlgothic-fonts xine-ui

Nothing to do.

¿A que se debe? ¿es normal o tengo algo mal?

Estos son los repos que tengo:

1 | | Tumbleweed | Si | Si
2 | All Packman | All Packman | Si | Si
3 | Extra Tumbleweed | Extra Tumbleweed | Si | Si
4 | Fonts Tumbleweed | Fonts Tumbleweed | Si | Si
5 | KDE Extra Tumbleweed | KDE Extra Tumbleweed | Si | Si
6 | VLC Tumbleweed | VLC Tumbleweed | Si | Si
7 | openSUSE Current OSS | openSUSE Current OSS | Si | Si
8 | openSUSE Current non-OSS | openSUSE Current non-OSS | Si | Si
9 | openSUSE Current updates | openSUSE Current updates | Si | Si
10 | repo-debug | openSUSE-12.3-Debug | No | Si
11 | repo-debug-update | openSUSE-12.3-Update-Debug | No | Si
12 | repo-debug-update-non-oss | openSUSE-12.3-Update-Debug-Non-Oss | No | Si
13 | repo-non-oss | openSUSE-12.3-Non-Oss | No | Si
14 | repo-oss | openSUSE-12.3-Oss | No | Si
15 | repo-source | openSUSE-12.3-Source | No | Si
16 | repo-update | openSUSE-12.3-Update | No | Si
17 | repo-update-non-oss | openSUSE-12.3-Update-Non-Oss | No | Si
family@linux-18vq:~>

Gracias.

Última edición por jiu; 29-jul-2013 a las 21:58 Razón: añadir mis repos
Responder Citando
  #2  
Antiguo 29-jul-2013, 22:50
Avatar de jesusx
jesusx jesusx está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 06-enero-2008
Ubicación: Castellón
Versión: Tumbleweed+Kde
Mensajes: 3.370
Agradecimientos: 325
Agradecido 482 Veces en 399 Mensajes
Poder de Credibilidad: 13
jesusx está en el buen camino
Así a priori parecen muchos repos los que tienes... Te aconsejo una guía de DR que hay en el foro respecto a los repositorios, manejo y funcionamiento. Allí se habla de como gestionarlos y de las prioridades. A nivel personal, yo utilizo "zypper dup" (sí, ya se, DR me va a regañar je, je...) con prioridades en los repos así se que paquetes y de donde me los va a instalar. Nunca he tenido problemas usando esa operativa pero ojo, es mi manera de hacerlo, ni mejor ni peor, simplemente la que a mi me funciona...
Salu2
__________________

Si tienes el vibrato de BB King, el tapping de Van Halen, la velocidad de Malmsteen y la guitarra de Vai... enhorabuena eres un gran imitador.
Responder Citando
  #3  
Antiguo 30-jul-2013, 08:35
Avatar de jiu
jiu jiu está desconectado
Habitual
 
Fecha de Ingreso: 03-abril-2013
Versión: 13.1 KDE
Mensajes: 176
Agradecimientos: 27
Agradecido 35 Veces en 30 Mensajes
Poder de Credibilidad: 5
jiu está en el buen camino
Hola, del 10 al 17 están desactivados, los otros son todos de tumbleweed, DR me imagino que te refieres a Diablo Rojo?, "solo" tiene 8 páginas de temas abiertos por él, he buscado, pero no encuentro esa guía, de todas formas no creo que sean tantos, sobretodo porque los que están activos son de tumbleweed todos!, claro que también es verdad que están sin preferencias, todos al 99.

¿pero es normal que diga que todos esos paquetes no se van a instalar?, hay algunos que puede que sea porque son de repos de la 12.3 que he eliminado para pasar a tumbleweed, como gcompris por ejemplo, pero amarok? ese es el que me despista, porque no encuentro lógica.

No he vuelto a probar a meterle un zypper dup, y ahora no tengo aquí el pc, no se que me podrá con dup, hasta esta noche no puedo probarlo.

saludos
Responder Citando
  #4  
Antiguo 30-jul-2013, 12:47
XisEme XisEme está desconectado
Miembro Senior
 
Fecha de Ingreso: 08-septiembre-2005
Ubicación: ±43º21'N8º22'W
Versión: Tumbleweed[x64]
Mensajes: 1.232
Agradecimientos: 22
Agradecido 301 Veces en 258 Mensajes
Poder de Credibilidad: 14
XisEme está en el buen camino
Que un «up» no actualice algunos programas a versiones más modernas es absolutamente normal (y hasta higiénico ) Por ejemplo es más que probable que la versión de amarok o de k3b sean más modernas de otros repos que las preferibles de Packman. Si el sistema está correctamente configurado te dice que aun habiendo versiones posteriores, NO las actualizará, que él se queda con la de packman.

Un usuario «normal» no necesitará nunca repositorios «source» ni «debug»
Sí parece que «sobran» los desactivados del 10 al 17. No obstante tal vez puedas pasar información más completa con zypper lr -pu. Al poner la salida en el mensaje, enciérrala entre etiquetas «¢ode-#», será más legible.

En el sistema que estoy ahora
zypper up → 23 packages to upgrade, 2 new.
zypper dup → 83 packages to upgrade, 109 to downgrade, 514 new, 4 to remove, 176 to change vendor
Vamos! que con dup desactualizaría más que acualizaría (y eso que no tiene muy perfilados los repositorios ...)
__________________
Todo es mejorable, estamos dispuestos a mejorar. ¿Yo? ... poco a poco.
Nunca hay acritud en mis comentarios, si lo pareciera, seguro que me he expresado mal.
Responder Citando
  #5  
Antiguo 30-jul-2013, 19:19
Avatar de jiu
jiu jiu está desconectado
Habitual
 
Fecha de Ingreso: 03-abril-2013
Versión: 13.1 KDE
Mensajes: 176
Agradecimientos: 27
Agradecido 35 Veces en 30 Mensajes
Poder de Credibilidad: 5
jiu está en el buen camino
Resultado de zypper lr -pu:

Código:
family@linux-18vq:~> zypper lr -pu
#  | Alias                     | Nombre                             | Habilitado | Actualizar | Prioridad | URI                                                                       
---+---------------------------+------------------------------------+------------+------------+-----------+---------------------------------------------------------------------------
 1 |                           | Tumbleweed                         | Si         | Si         |   99      | http://download.opensuse.org/repositories/openSUSE:/Tumbleweed/standard/  
 2 | All Packman               | All Packman                        | Si         | Si         |   99      | http://packman.inode.at/suse/openSUSE_Tumbleweed                          
 3 | Extra Tumbleweed          | Extra Tumbleweed                   | Si         | Si         |   99      | http://packman.inode.at/suse/openSUSE_Tumbleweed/Extra/                   
 4 | Fonts Tumbleweed          | Fonts Tumbleweed                   | Si         | Si         |   99      | http://download.opensuse.org/repositories/M17N:/fonts/openSUSE_Tumbleweed/
 5 | KDE Extra Tumbleweed      | KDE Extra Tumbleweed               | Si         | Si         |   99      | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Tumbleweed/ 
 6 | VLC Tumbleweed            | VLC Tumbleweed                     | Si         | Si         |   99      | http://download.videolan.org/pub/vlc/SuSE/Tumbleweed/                     
 7 | openSUSE Current OSS      | openSUSE Current OSS               | Si         | Si         |   99      | http://download.opensuse.org/distribution/openSUSE-current/repo/oss/      
 8 | openSUSE Current non-OSS  | openSUSE Current non-OSS           | Si         | Si         |   99      | http://download.opensuse.org/distribution/openSUSE-current/repo/non-oss/  
 9 | openSUSE Current updates  | openSUSE Current updates           | Si         | Si         |   99      | http://download.opensuse.org/update/openSUSE-current/                     
10 | repo-debug                | openSUSE-12.3-Debug                | No         | Si         |   99      | http://download.opensuse.org/debug/distribution/12.3/repo/oss/            
11 | repo-debug-update         | openSUSE-12.3-Update-Debug         | No         | Si         |   99      | http://download.opensuse.org/debug/update/12.3/                           
12 | repo-debug-update-non-oss | openSUSE-12.3-Update-Debug-Non-Oss | No         | Si         |   99      | http://download.opensuse.org/debug/update/12.3-non-oss/                   
13 | repo-non-oss              | openSUSE-12.3-Non-Oss              | No         | Si         |   99      | http://download.opensuse.org/distribution/12.3/repo/non-oss/              
14 | repo-oss                  | openSUSE-12.3-Oss                  | No         | Si         |   99      | http://download.opensuse.org/distribution/12.3/repo/oss/                  
15 | repo-source               | openSUSE-12.3-Source               | No         | Si         |   99      | http://download.opensuse.org/source/distribution/12.3/repo/oss/           
16 | repo-update               | openSUSE-12.3-Update               | No         | Si         |   99      | http://download.opensuse.org/update/12.3/                                 
17 | repo-update-non-oss       | openSUSE-12.3-Update-Non-Oss       | No         | Si         |   99      | http://download.opensuse.org/update/12.3-non-oss/                         
family@linux-18vq:~>
¿Debería poner a packman más prioridad? ¿esta mal hecho el paso a tumbleweed?

Gracias.
Responder Citando
  #6  
Antiguo 30-jul-2013, 22:49
Avatar de jesusx
jesusx jesusx está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 06-enero-2008
Ubicación: Castellón
Versión: Tumbleweed+Kde
Mensajes: 3.370
Agradecimientos: 325
Agradecido 482 Veces en 399 Mensajes
Poder de Credibilidad: 13
jesusx está en el buen camino
Una imagen vale mas que mil palabras... Salu2


__________________

Si tienes el vibrato de BB King, el tapping de Van Halen, la velocidad de Malmsteen y la guitarra de Vai... enhorabuena eres un gran imitador.
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a jesusx Por Este Mensaje:
jiu (31-jul-2013)
  #7  
Antiguo 30-jul-2013, 22:59
Avatar de jiu
jiu jiu está desconectado
Habitual
 
Fecha de Ingreso: 03-abril-2013
Versión: 13.1 KDE
Mensajes: 176
Agradecimientos: 27
Agradecido 35 Veces en 30 Mensajes
Poder de Credibilidad: 5
jiu está en el buen camino
Hola, lo he medio resuelto haciendo un zypper dup, me ha cambiado de proveedor 75 paquetes, y ahora al hacer zypper up solo me sale esto:

Las siguientes actualizaciones NO serán instaladas:
libgio-2_0-0 libvlc5 libvlccore5

Ahora he cambiado los 2 repos que tengo de packman a 70, y al hacer dup me dice que me va a desactualizar 7

Código:
Los siguientes paquetes van a ser desactualizados:
  k3b k3b-lang libdca0 libmad0 libmediastreamer1 libmpeg2-0 python-pysqlite 

Los siguientes paquetes van a cambiar de proveedor:
  k3b                openSUSE -> http://packman.links2linux.de                                  
  k3b-lang           openSUSE -> http://packman.links2linux.de                                  
  libdca0            VideoLAN Project (http://www.videolan.org) -> http://packman.links2linux.de
  libmad0            VideoLAN Project (http://www.videolan.org) -> http://packman.links2linux.de
  libmediastreamer1  openSUSE -> http://packman.links2linux.de                                  
  libmpeg2-0         VideoLAN Project (http://www.videolan.org) -> http://packman.links2linux.de
  python-pysqlite    openSUSE -> http://packman.links2linux.de
así que de momento, no voy a hacer dup otra vez, lo dejo así a ver que tal.

Gracias.

Última edición por jiu; 30-jul-2013 a las 23:01
Responder Citando
  #8  
Antiguo 30-jul-2013, 23:44
XisEme XisEme está desconectado
Miembro Senior
 
Fecha de Ingreso: 08-septiembre-2005
Ubicación: ±43º21'N8º22'W
Versión: Tumbleweed[x64]
Mensajes: 1.232
Agradecimientos: 22
Agradecido 301 Veces en 258 Mensajes
Poder de Credibilidad: 14
XisEme está en el buen camino
Al 1 ponle nombre, hombre ...
zypper nr 1 Standard_Tumbleweed (o como quieras)
El 3 te sobra (Packman-extra ya está incluído en All-Packman)
zypper rr 3

Prevalencia de packman y de standard
zypper mr -p 90 1
zypper mr -p 70 2

Estos son los TW míos

Código:
---+----------------------------+----------------------------+------+------+-----+--------------------------------------------------------------------------------------------
 1 |  AOO-4.0_gl                | AOO-4.0_gl                 | No   | No   |  99 | dir:///DATOSntfs/DescargasSoftware/OOo/gl-400_x64                                          
 2 | T_Ati-fglrx                | T_Ati-fglrx                | No   | Si   | 103 | http://geeko.ioda.net/mirror/amd-fglrx/openSUSE_Tumbleweed/                                
 3 | T_Ati-fglrx-legacy         | T_Ati-fglrx-legacy         | Si   | Si   | 102 | http://geeko.ioda.net/mirror/amd-fglrx-legacy/openSUSE_Tumbleweed                          
 4 | T_KDE_Extra                | T_KDEExtra                 | Si   | Si   |  77 | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Tumbleweed/                  
 5 | T_LibreOffice_Stable       | T_LibreOffice_Stable       | Si   | Si   |  99 | http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_Tumbleweed/         
 6 | T_LibreOffice_Unstable     | T_LibreOffice_Unstable     | Si   | Si   |  95 | http://download.opensuse.org/repositories/LibreOffice:/Unstable/openSUSE_Tumbleweed/       
 7 | T_OCR                      | T_OCR                      | Si   | Si   |  99 | http://download.opensuse.org/repositories/home:/malcolmlewis:/Miscellanous/openSUSE_Tumblew
 8 | T_Packman                  | T_Packman                  | Si   | Si   |  75 | http://packman.inode.at/suse/openSUSE_Tumbleweed                                           
 9 | T_Packman2                 | T_Packman2                 | No   | No   |  75 | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/                        
10 | T_Recordmydesktop          | T_Recormydesktop_Calibre   | No   | Si   | 110 | http://download.opensuse.org/repositories/home:/ecsos/openSUSE_Tumbleweed/                 
11 | T_Testing_Standard         | T_Testing_Standard         | Si   | Si   |  99 | http://download.opensuse.org/repositories/openSUSE:/Tumbleweed:/Testing/openSUSE_Tumbleweed
12 | T_VirtualBox               | T_VirtualBox               | No   | Si   |  95 | http://download.opensuse.org/repositories/Virtualization:/VirtualBox_Tumbleweed/openSUSE_Tu
13 | T_current_Standard         | T_Standard                 | Si   | Si   |  90 | http://download.opensuse.org/repositories/openSUSE:/Tumbleweed/standard/                   
14 | T_current_non-oss          | T_current_non-ss           | Si   | Si   |  99 | http://download.opensuse.org/distribution/openSUSE-current/repo/non-oss/                   
15 | T_current_oss              | T_current_oss              | Si   | Si   |  99 | http://download.opensuse.org/distribution/openSUSE-current/repo/oss/                       
16 | T_current_update_oss       | T_current_update-oss       | Si   | Si   |  99 | http://download.opensuse.org/update/openSUSE-current/                                      
17 | T_current_updates_non-oss  | T_current_updates-non-oss  | Si   | Si   |  99 | http://download.opensuse.org/update/openSUSE-non-oss-current/                              
18 | T_utilities_BleachBit      | T_utilites_BleachBit       | Si   | Si   |  99 | http://download.opensuse.org/repositories/utilities/openSUSE_Tumbleweed/                   
19 | T_wicd_home:argentdero     | T_wicd_home:argentdero     | No   | No   | 100 | http://download.opensuse.org/repositories/home:/agentdero:/wicd/openSUSE_Tumbleweed
Abusais de dup.
__________________
Todo es mejorable, estamos dispuestos a mejorar. ¿Yo? ... poco a poco.
Nunca hay acritud en mis comentarios, si lo pareciera, seguro que me he expresado mal.
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a XisEme Por Este Mensaje:
jiu (31-jul-2013)
  #9  
Antiguo 31-jul-2013, 08:17
Avatar de jiu
jiu jiu está desconectado
Habitual
 
Fecha de Ingreso: 03-abril-2013
Versión: 13.1 KDE
Mensajes: 176
Agradecimientos: 27
Agradecido 35 Veces en 30 Mensajes
Poder de Credibilidad: 5
jiu está en el buen camino
Hola, al final, como siempre, trasteando he aprendido algo, ahora tengo más claro el uso de zypper que antes apenas usaba, el uso de las prioridades de los repos, y tumbleweed!

Hoy cuando llegue a casa, si tengo tiempo (porque mañana temprano salgo pitando para la playa! ) hago lo que me indicas para dejarlo ya ajustado bien.

Muchas gracias a todos!

saludos
Responder Citando
  #10  
Antiguo 01-ago-2013, 00:59
Avatar de Takpe
Takpe Takpe está desconectado
Aforado
 
Fecha de Ingreso: 13-febrero-2010
Ubicación: Barcelona, Catalunya
Versión: Tumbleweed KDE
Mensajes: 94
Agradecimientos: 14
Agradecido 11 Veces en 9 Mensajes
Poder de Credibilidad: 8
Takpe está en el buen camino
Buenas!

He leido varias veces que los mantenedores de Tumbleweed recomiendan el uso de "zypper dup" para un òptimo funcionamento de los repositorios, no de "zypper up". A mi me funciona.

Saludos
Responder Citando
Respuesta

Marcadores


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
vlc-codecs chris Software 11 21-dic-2013 03:27
No funciona Banshee maniat1k Software 8 08-may-2013 16:45
De nuevo molestando :3 tumbleweed Coldbeer General OpenSUSE 15 23-ago-2012 01:17
Manual zypper para 11.1 (Traducción al español) tranzorx FAQs, Manuales y Tutoriales 11 21-ene-2010 23:21
¿Update? ¿Upgrade? eltitu General OpenSUSE 5 08-oct-2008 15:25



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 13:49.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba